PingOne Platform APIs

Read Organization Capabilities

Required permission:

GET {{apiPath}}/v1/organizations/{{orgID}}/capabilities

Use the GET /organizations/{{orgID}}/capabilities operation to return the organization’s current capabilities.

Headers

Authorization      Bearer {{accessToken}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/v1/organizations/{{orgID}}/capabilities' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/v1/organizations/{{orgID}}/capabilities")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/organizations/{{orgID}}/capabilities"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /v1/organizations/{{orgID}}/capabilities HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/organizations/{{orgID}}/capabilities")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/v1/organizations/{{orgID}}/capabilities",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/organizations/{{orgID}}/capabilities',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/v1/organizations/{{orgID}}/capabilities"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/organizations/{{orgID}}/capabilities');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/organizations/{{orgID}}/capabilities")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/organizations/{{orgID}}/capabilities")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/organizations/bed432e6-676a-4ebe-b5a5-6b3b54e46bda/capabilities"
        },
        "organization": {
            "href": "https://api.pingone.com/v1/organizations/bed432e6-676a-4ebe-b5a5-6b3b54e46bda"
        }
    },
    "assignableLicenses": [
        {
            "id": "2631ba52-305e-4bf1-97bc-f1806f61ed57",
            "name": "INTERNAL",
            "supportedRegions": [
                "EU",
                "NORTH_AMERICA",
                "CA",
                "AP"
            ],
            "allowProduction": true,
            "beginsAt": "2021-12-02T14:20:48.125Z",
            "expiresAt": "2099-12-31T00:00:00.125Z",
            "productTypes": [
                "PING_ONE_BASE",
                "PING_ONE_CREDENTIALS",
                "PING_ONE_MFA",
                "PING_ONE_ID",
                "PING_ONE_PROVISIONING",
                "PING_ONE_RISK",
                "PING_ONE_VERIFY",
                "PING_ONE_AUTHORIZE",
                "PING_ONE_DAVINCI",
                "PING_ONE_ORCHESTRATE",
                "PING_ONE_PAM",
                "PING_ONE_RECOGNIZE"
            ],
            "package": "INTERNAL",
            "isTrial": false
        }
    ],
    "canContactSupport": true,
    "canCreateEnvironment": true,
    "canCreateEphemeralTrialLicenses": true,
    "canUsePlatform": true,
    "organizationId": "bed432e6-676a-4ebe-b5a5-6b3b54e46bda"
}

Example Response

{
  "_links": {
    "self": {
      "href": "https://api.pingone.com/v1/organizations/bed432e6-676a-4ebe-b5a5-6b3b54e46bda/capabilities"
    },
    "organization": {
      "href": "https://api.pingone.com/v1/organizations/bed432e6-676a-4ebe-b5a5-6b3b54e46bda"
    }
  },
  "assignableLicenses": [
    {
      "id": "2631ba52-305e-4bf1-97bc-f1806f61ed57",
      "name": "INTERNAL",
      "supportedRegions": [
        "EU",
        "NORTH_AMERICA",
        "CA",
        "AP"
      ],
      "allowProduction": true,
      "beginsAt": "2021-12-02T14:20:48.125Z",
      "expiresAt": "2099-12-31T00:00:00.125Z",
      "productTypes": [
        "PING_ONE_BASE",
        "PING_ONE_CREDENTIALS",
        "PING_ONE_MFA",
        "PING_ONE_ID",
        "PING_ONE_PROVISIONING",
        "PING_ONE_RISK",
        "PING_ONE_VERIFY",
        "PING_ONE_AUTHORIZE",
        "PING_ONE_DAVINCI",
        "PING_ONE_ORCHESTRATE",
        "PING_ONE_PAM",
        "PING_ONE_RECOGNIZE"
      ],
      "package": "INTERNAL",
      "isTrial": false
    }
  ],
  "canContactSupport": true,
  "canCreateEnvironment": true,
  "canCreateEphemeralTrialLicenses": true,
  "canUsePlatform": true,
  "organizationId": "bed432e6-676a-4ebe-b5a5-6b3b54e46bda"
}